
using UdonSharp;
using UnityEngine;
using VRC.SDK3.UdonNetworkCalling;
using VRC.Udon.Common.Interfaces;
using VRC.SDKBase;
using VRC.Udon;

public class Buzzer : UdonSharpBehaviour
{
	public PlayerPodium Podium;

	public override void OnPickupUseDown()
	{
		VRCPlayerApi LocalPlayer = Networking.LocalPlayer;
		if (Podium.GetPlayerID() == LocalPlayer.playerId)
		{
			NetworkCalling.SendCustomNetworkEvent((IUdonEventReceiver)Podium.GameManager, NetworkEventTarget.All, "PlayerBuzzedIn", Podium.PlayerNumber);
		}

		base.OnPickupUseDown();
	}
}
